## org.eclipse.amp.axf.space
Interface ILocation3D

All Superinterfaces:
  ILocation, ILocation1D, ILocation2D

All Known Implementing Classes:
  Location3DDoubleAdapter

    public interface ILocation3D

extends ILocation2D

A marker interface. The measures are not defined.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Method Summary
`java.lang.Object` `getZ()`
`double` `getZDouble()`
`int` `getZInteger()`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation2D
`getY, getYDouble, getYInteger`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation1D
`getX, getXDouble, getXInteger`

Method Detail

### getZ

    java.lang.Object getZ()

### getZInteger

    int getZInteger()

### getZDouble

    double getZDouble()